summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2015-06-17 10:06:05 +0530
committerYongqin Liu of Linaro <yongqin.liu@linaro.org>2015-06-17 04:39:33 +0000
commita1811cee4edbc8a75b5854bc8eb14a1015260106 (patch)
tree5f30f36bb5ff594dca361ec03d6d8ac8c363aa8b
parentc5baca53870c3fdaf670b362b27c2ddb306eb018 (diff)
downloadandroid-patchsets-a1811cee4edbc8a75b5854bc8eb14a1015260106.tar.gz
Include nexus9-workarounds
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
-rwxr-xr-xnexus9-workarounds23
1 files changed, 23 insertions, 0 deletions
diff --git a/nexus9-workarounds b/nexus9-workarounds
new file mode 100755
index 0000000..3a7650c
--- /dev/null
+++ b/nexus9-workarounds
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+
+##################################################
+################ Linaro hack ###################
+##################################################
+# get adb working at bootup
+cherrypick device/htc/flounder b8a1f42a0f7502656927da94538b533ab84f9714